com.microfocus.awm.model

## Interface IErrorFeedbackEntryList

- All Known Implementing Classes:
    ErrorFeedbackEntryList

      public interface IErrorFeedbackEntryList

  The list of currently active `IErrorFeedbackEntry`s. Only one list of error entries is managed by AWM (all visible in the Team Developer Error List view.

  The singleton instance can be acquired with `TaurusFactory.getErrorFeedbackEntryList()`.

  Not intended to be implemented by clients.

  Author:
    Christelle Biahmou

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addList(java.util.List<IErrorFeedbackEntry> pErrorFeedbackEntryList, java.util.List<java.lang.String> pFiles)` Adds a list to the directory.
    `void` | `addObserver(java.util.Observer pObserver)` Adds an observer to the directory.
    `void` | `clearList()` Clears any element list entries that have been set in this directory.
    `void` | `deleteObserver(java.util.Observer pObserver)` Removes an observer.
    `java.util.List<java.lang.String>` | `getEntryListColumms()` Gets the names of columns for displaying error feedback entries in a table.
    `java.util.List<IErrorFeedbackEntry>` | `getErrorFeedbackEntryList()` Gets all error feedback entries that have been set in this directory.
    `void` | `loadErros()` Loads error feedback entries from cache.
    `void` | `removeList(java.util.List<IErrorFeedbackEntry> pErrorFeedbackEntries)` Removes a list from the directory.
    `void` | `saveErrors()` Saves the error feedback entries into cache.

- - ### Method Detail

    - #### addList

          void addList(java.util.List<IErrorFeedbackEntry> pErrorFeedbackEntryList,
                       java.util.List<java.lang.String> pFiles)

      Adds a list to the directory.
      Parameters:
        `pErrorFeedbackEntryList` - the list to be added
        `pFiles` - files that have been compiled

    - #### removeList

          void removeList(java.util.List<IErrorFeedbackEntry> pErrorFeedbackEntries)

      Removes a list from the directory.
      Parameters:
        `pErrorFeedbackEntries` - the list of entries to be removed.

    - #### clearList

          void clearList()

      Clears any element list entries that have been set in this directory.

    - #### getErrorFeedbackEntryList

          java.util.List<IErrorFeedbackEntry> getErrorFeedbackEntryList()

      Gets all error feedback entries that have been set in this directory.
      Returns:
        the list of added error feedback entries

    - #### getEntryListColumms

          java.util.List<java.lang.String> getEntryListColumms()

      Gets the names of columns for displaying error feedback entries in a table.
      Returns:
        the list of column names

    - #### addObserver

          void addObserver(java.util.Observer pObserver)

      Adds an observer to the directory.
      Parameters:
        `pObserver` - the observer to be added

    - #### loadErros

          void loadErros()
                  throws TaurusCoreException

      Loads error feedback entries from cache.
      Throws:
        `TaurusCoreException` - if loading the cache fails.

    - #### saveErrors

          void saveErrors()
                   throws TaurusCoreException

      Saves the error feedback entries into cache.
      Throws:
        `TaurusCoreException` - if loading the cache fails

    - #### deleteObserver

          void deleteObserver(java.util.Observer pObserver)

      Removes an observer. Does nothing if the observer does not exist.
      Parameters:
        `pObserver` - the observer to be removed.

Copyright © 2015 Micro Focus GmbH. All rights reserved.